## NAME

CURLOPT_FTP_ALTERNATIVE_TO_USER - command to use instead of USER with FTP

## SYNOPSIS

    #include <curl/curl.h>

    CURLcode curl_easy_setopt(CURL *handle, CURLOPT_FTP_ALTERNATIVE_TO_USER,
                              char *cmd);

## DESCRIPTION

Pass a char * as parameter, pointing to a string which will be used to authenticate if the usual FTP "USER user" and "PASS password" negotiation fails. This is currently only known to be required when connecting to Tumbleweed's Secure Transport FTPS server using client certificates for authentication.

## DEFAULT

NULL

## PROTOCOLS

FTP

## EXAMPLE

TODO

## AVAILABILITY

Added in 7.15.5

## RETURN VALUE

Returns CURLE_OK if the option is supported, CURLE_UNKNOWN_OPTION if not, or CURLE_OUT_OF_MEMORY if there was insufficient heap space.

## SEE ALSO

CURLOPT_FTP_SKIP_PASV_IP, CURLOPT_FTP_RESPONSE_TIMEOUT

This HTML page was made with roffit.